wxWidgets: wxStyledTextEvent Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxStyledTextEvent Class Reference
Class List by Category » Events | Class List by Category » Scintilla Text Editor

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.i686/src/wxWidgets-3.0.5.1/interface/wx/stc/stc.h>`

Inheritance diagram for wxStyledTextEvent:
[legend]

## Detailed Description

The type of events sent from wxStyledTextCtrl.

Todo:
  list styled text ctrl events.

##

Library: wxSTC

<>< =''>:</>&;&;< =''>\ , \ </></>

## Public Member Functions
| wxStyledTextEvent (wxEventType commandType=0, int id=0)
| wxStyledTextEvent (const wxStyledTextEvent &event)
| ~wxStyledTextEvent ()
void | SetPosition (int pos)
void | SetKey (int k)
void | SetModifiers (int m)
void | SetModificationType (int t)
void | SetText (const wxString &t)
void | SetLength (int len)
void | SetLinesAdded (int num)
void | SetLine (int val)
void | SetFoldLevelNow (int val)
void | SetFoldLevelPrev (int val)
void | SetMargin (int val)
void | SetMessage (int val)
void | SetWParam (int val)
void | SetLParam (int val)
void | SetListType (int val)
void | SetX (int val)
void | SetY (int val)
void | SetToken (int val)
void | SetAnnotationLinesAdded (int val)
void | SetUpdated (int val)
void | SetDragText (const wxString &val)
void | SetDragFlags (int flags)
void | SetDragResult (wxDragResult val)
int | GetPosition () const
int | GetKey () const
int | GetModifiers () const
int | GetModificationType () const
wxString | GetText () const
int | GetLength () const
int | GetLinesAdded () const
int | GetLine () const
int | GetFoldLevelNow () const
int | GetFoldLevelPrev () const
int | GetMargin () const
int | GetMessage () const
int | GetWParam () const
int | GetLParam () const
int | GetListType () const
int | GetX () const
int | GetY () const
int | GetToken () const
int | GetAnnotationsLinesAdded () const
int | GetUpdated () const
wxString | GetDragText ()
int | GetDragFlags ()
wxDragResult | GetDragResult ()
bool | GetShift () const
bool | GetControl () const
bool | GetAlt () const
Public Member Functions inherited from wxCommandEvent
| wxCommandEvent (wxEventType commandEventType=wxEVT_NULL, int id=0)
| Constructor. More...
void * | GetClientData () const
| Returns client data pointer for a listbox or choice selection event (not valid for a deselection). More...
wxClientData * | GetClientObject () const
| Returns client object pointer for a listbox or choice selection event (not valid for a deselection). More...
long | GetExtraLong () const
| Returns extra information dependent on the event objects type. More...
int | GetInt () const
| Returns the integer identifier corresponding to a listbox, choice or radiobox selection (only if the event was a selection, not a deselection), or a boolean value representing the value of a checkbox. More...
int | GetSelection () const
| Returns item index for a listbox or choice selection event (not valid for a deselection). More...
wxString | GetString () const
| Returns item string for a listbox or choice selection event. More...
bool | IsChecked () const
| This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one. More...
bool | IsSelection () const
| For a listbox or similar event, returns true if it is a selection, false if it is a deselection. More...
void | SetClientData (void *clientData)
| Sets the client data for this event. More...
void | SetClientObject (wxClientData *clientObject)
| Sets the client object for this event. More...
void | SetExtraLong (long extraLong)
| Sets the m_extraLong member. More...
void | SetInt (int intCommand)
| Sets the m_commandInt member. More...
void | SetString (const wxString &string)
| Sets the m_commandString member. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxStyledTextEvent() [1/2]

wxStyledTextEvent::wxStyledTextEvent | ( | wxEventType | commandType = `0`,
|  | int | id = `0`
| ) |  |

## ◆ wxStyledTextEvent() [2/2]

wxStyledTextEvent::wxStyledTextEvent | ( | const wxStyledTextEvent & | event | ) |

## ◆ ~wxStyledTextEvent()

wxStyledTextEvent::~wxStyledTextEvent | ( |  | ) |

## Member Function Documentation

## ◆ GetAlt()

bool wxStyledTextEvent::GetAlt | ( |  | ) | const

## ◆ GetAnnotationsLinesAdded()

int wxStyledTextEvent::GetAnnotationsLinesAdded | ( |  | ) | const

## ◆ GetControl()

bool wxStyledTextEvent::GetControl | ( |  | ) | const

## ◆ GetDragFlags()

int wxStyledTextEvent::GetDragFlags | ( |  | ) |

## ◆ GetDragResult()

wxDragResult wxStyledTextEvent::GetDragResult | ( |  | ) |

## ◆ GetDragText()

wxString wxStyledTextEvent::GetDragText | ( |  | ) |

## ◆ GetFoldLevelNow()

int wxStyledTextEvent::GetFoldLevelNow | ( |  | ) | const

## ◆ GetFoldLevelPrev()

int wxStyledTextEvent::GetFoldLevelPrev | ( |  | ) | const

## ◆ GetKey()

int wxStyledTextEvent::GetKey | ( |  | ) | const

## ◆ GetLength()

int wxStyledTextEvent::GetLength | ( |  | ) | const

## ◆ GetLine()

int wxStyledTextEvent::GetLine | ( |  | ) | const

## ◆ GetLinesAdded()

int wxStyledTextEvent::GetLinesAdded | ( |  | ) | const

## ◆ GetListType()

int wxStyledTextEvent::GetListType | ( |  | ) | const

## ◆ GetLParam()

int wxStyledTextEvent::GetLParam | ( |  | ) | const

## ◆ GetMargin()

int wxStyledTextEvent::GetMargin | ( |  | ) | const

## ◆ GetMessage()

int wxStyledTextEvent::GetMessage | ( |  | ) | const

## ◆ GetModificationType()

int wxStyledTextEvent::GetModificationType | ( |  | ) | const

## ◆ GetModifiers()

int wxStyledTextEvent::GetModifiers | ( |  | ) | const

## ◆ GetPosition()

int wxStyledTextEvent::GetPosition | ( |  | ) | const

## ◆ GetShift()

bool wxStyledTextEvent::GetShift | ( |  | ) | const

## ◆ GetText()

wxString wxStyledTextEvent::GetText | ( |  | ) | const

## ◆ GetToken()

int wxStyledTextEvent::GetToken | ( |  | ) | const

## ◆ GetUpdated()

int wxStyledTextEvent::GetUpdated | ( |  | ) | const

## ◆ GetWParam()

int wxStyledTextEvent::GetWParam | ( |  | ) | const

## ◆ GetX()

int wxStyledTextEvent::GetX | ( |  | ) | const

## ◆ GetY()

int wxStyledTextEvent::GetY | ( |  | ) | const

## ◆ SetAnnotationLinesAdded()

void wxStyledTextEvent::SetAnnotationLinesAdded | ( | int | val | ) |

## ◆ SetDragFlags()

void wxStyledTextEvent::SetDragFlags | ( | int | flags | ) |

## ◆ SetDragResult()

void wxStyledTextEvent::SetDragResult | ( | wxDragResult | val | ) |

## ◆ SetDragText()

void wxStyledTextEvent::SetDragText | ( | const wxString & | val | ) |

## ◆ SetFoldLevelNow()

void wxStyledTextEvent::SetFoldLevelNow | ( | int | val | ) |

## ◆ SetFoldLevelPrev()

void wxStyledTextEvent::SetFoldLevelPrev | ( | int | val | ) |

## ◆ SetKey()

void wxStyledTextEvent::SetKey | ( | int | k | ) |

## ◆ SetLength()

void wxStyledTextEvent::SetLength | ( | int | len | ) |

## ◆ SetLine()

void wxStyledTextEvent::SetLine | ( | int | val | ) |

## ◆ SetLinesAdded()

void wxStyledTextEvent::SetLinesAdded | ( | int | num | ) |

## ◆ SetListType()

void wxStyledTextEvent::SetListType | ( | int | val | ) |

## ◆ SetLParam()

void wxStyledTextEvent::SetLParam | ( | int | val | ) |

## ◆ SetMargin()

void wxStyledTextEvent::SetMargin | ( | int | val | ) |

## ◆ SetMessage()

void wxStyledTextEvent::SetMessage | ( | int | val | ) |

## ◆ SetModificationType()

void wxStyledTextEvent::SetModificationType | ( | int | t | ) |

## ◆ SetModifiers()

void wxStyledTextEvent::SetModifiers | ( | int | m | ) |

## ◆ SetPosition()

void wxStyledTextEvent::SetPosition | ( | int | pos | ) |

## ◆ SetText()

void wxStyledTextEvent::SetText | ( | const wxString & | t | ) |

## ◆ SetToken()

void wxStyledTextEvent::SetToken | ( | int | val | ) |

## ◆ SetUpdated()

void wxStyledTextEvent::SetUpdated | ( | int | val | ) |

## ◆ SetWParam()

void wxStyledTextEvent::SetWParam | ( | int | val | ) |

## ◆ SetX()

void wxStyledTextEvent::SetX | ( | int | val | ) |

## ◆ SetY()

void wxStyledTextEvent::SetY | ( | int | val | ) |